# lcd.c File Reference

`#include <sys/svcs.h>`
`#include <sys/time.h>`
`#include <string.h>`
`#include <stdio.h>`
`#include <unistd.h>`
`#include "uart.h"`
`#include "raven.h"`

Include dependency graph for lcd.c:

## Defines
#define | LEDMAX 8
| Maximum LED blink window, in units of 200ms epochs.
## Functions
void | timer_handler (event_t event, void *cbargs, void *context)
| this function is invoked when the timer is fired
void | __main (event_t event, void *cbargs, void *context)
| this function is invoked after boot
## Variables
static int16_t | g_timerfd
| timer descripter, used to hold the return value of timer()
static uint8_t | LED_cnt = 0
| Current LED blink count, in units of 200ms epochs, initialized to 0.
static uint8_t | LED_limit = 0
| Current LED blink limit, in units of 200ms epochs, initialized to 0.

## Detailed Description

Simple program to drive the RAVEN LCD

## Define Documentation

#define LEDMAX 8

Maximum LED blink window, in units of 200ms epochs.

## Function Documentation

void __main | ( | event_t | event,
|  | void * | cbargs,
|  | void * | context |
| ) |  |  |

this function is invoked after boot

__main

Parameters:

  | event | equals MAIN as this is a boot event
  | cbargs | is NULL for boot event
  | context | is NULL for boot event

Returns:
  none

Here is the call graph for this function:

void timer_handler | ( | event_t | event,
|  | void * | cbargs,
|  | void * | context |
| ) |  |  |

this function is invoked when the timer is fired

timer_handler

Parameters:

  | event | equals to SETITIMER as this is a setitimer() callback
  | cbargs | passes resource back from setitimer() call
  | context | passes context back from setitimer() call

Returns:
  none

Here is the call graph for this function:

## Variable Documentation

int16_t g_timerfd`[static]`

timer descripter, used to hold the return value of timer()

uint8_t LED_cnt = 0`[static]`

Current LED blink count, in units of 200ms epochs, initialized to 0.

uint8_t LED_limit = 0`[static]`

Current LED blink limit, in units of 200ms epochs, initialized to 0.